#!/usr/local/bin/ruby

# 
# convert from GD-1.14/demos/brushes.pl
#         by   Nakamura Noritsugu
# 
# tile.gif is GD-1.14/demos/tile.gif
# 

require "GD"

# create a new image
im = GD::Image.new(300,300)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
yellow = im.colorAllocate(255,250,205)

# Get an image from a gif file
file = open("tile.gif", "rb")
tile = GD::Image.newFromGif(file)
file.close

# use it as a paintbrush
im.setBrush(tile)
im.arc(100,100,100,150,0,360,GD::Brushed)

# use it as a tiling pattern to fill a rectangle
im.setTile(tile)
im.filledRectangle(150,150,250,250,GD::Tiled)
im.rectangle(150,150,250,250,black)

# Draw a dotted line 
im.setStyle(green,green,green,GD::Transparent,red,red,red,GD::Transparent)
im.line(0,280,300,280,GD::Styled)

im.gif STDOUT
