#!/usr/local/bin/ruby

# 
# convert from GD-1.14/demos/shapes.pl
#         by   Nakamura Noritsugu
# 

require "GD"

# create a new image
im = GD::Image.new(300,300)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

im.transparent(white) # white color is transparent
im.interlace = TRUE	  # cool venetian blinds effect

# Create a flat wide rectangle paintbrush
brush = GD::Image.new(10,10)
brush.colorAllocate(255,255,255) # white
brush.colorAllocate(0,0,0)	# black
brush.transparent(white)	# white is transparent
brush.filledRectangle(0,0,5,2,black) # a black rectangle

# Draw a friendly title (ha!)
im.string(GD::Font::LargeFont,150,10,"Hello world!",red)
im.string(GD::Font::SmallFont,150,28,"Goodbye cruel world!",blue)
im.stringUp(GD::Font::TinyFont,280,250,"I'm climbing the wall!",black)
im.charUp(GD::Font::MediumBoldFont,280,280,"Q",black)
#im.charUp(GD::Font::MediumBoldFont,280,280,?Q,black)

# Draw an oval
im.setBrush(brush)
im.arc(100,100,100,150,0,360,GD::Brushed)

poly = GD::Polygon.new
poly.addPt(30,30)
poly.addPt(100,10)
poly.addPt(190,290)
poly.addPt(30,290)
im.polygon(poly,GD::Brushed)

im.fill(132,62,blue)
im.fill(100,70,red)
im.fill(40,40,yellow)

# print the image to stdout
im.gif STDOUT
